package com.steerinfo.ems.trmelectricitylocation.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="外供用电地点表")
public class TRmElectricityLocation implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    /**
     * 工序id(WORKPROCID,VARCHAR,40)
     */
    @ApiModelProperty(value="工序id",required=true)
    private String workprocid;

    /**
     * 用电地点-位置(LOCATION,VARCHAR,255)
     */
    @ApiModelProperty(value="用电地点-位置",required=true)
    private String location;

    /**
     * 是否为外单位(0:否,1:是)(TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否为外单位(0:否,1:是)",required=false)
    private String type;

    /**
     * 备注(NOTE,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String note;

    /**
     * 创建人(CREATEMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 创建时间(CREATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updatetime;

    /**
     * 计量点名称(ITEMNAME,VARCHAR,255)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String itemname;

    /**
     * 电度表编号(BCODE,VARCHAR,60)
     */
    @ApiModelProperty(value="电度表编号",required=false)
    private String bcode;

    /**
     * 顺序号(SEQNO,VARCHAR,10)
     */
    @ApiModelProperty(value="顺序号",required=false)
    private String seqno;

    /**
     * 倍率(MODS,DECIMAL,0)
     */
    @ApiModelProperty(value="倍率",required=false)
    private Integer mods;

    /**
     * 状态1启用 0禁用(STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="状态1启用 0禁用",required=false)
    private String state;

    /**
     * 车间-站所(WORKSHOP,VARCHAR,80)
     */
    @ApiModelProperty(value="车间-站所",required=false)
    private String workshop;

    /**
     * 计量点编号(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String itemid;

    /**
     * 四G计量点编号(FOURGITEM,VARCHAR,40)
     */
    @ApiModelProperty(value="四G计量点编号",required=false)
    private String fourgitem;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getWorkprocid() {
        return workprocid;
    }

    public void setWorkprocid(String workprocid) {
        this.workprocid = workprocid == null ? null : workprocid.trim();
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location == null ? null : location.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getSeqno() {
        return seqno;
    }

    public void setSeqno(String seqno) {
        this.seqno = seqno == null ? null : seqno.trim();
    }

    public Integer getMods() {
        return mods;
    }

    public void setMods(Integer mods) {
        this.mods = mods;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getWorkshop() {
        return workshop;
    }

    public void setWorkshop(String workshop) {
        this.workshop = workshop == null ? null : workshop.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getFourgitem() {
        return fourgitem;
    }

    public void setFourgitem(String fourgitem) {
        this.fourgitem = fourgitem == null ? null : fourgitem.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", workprocid=").append(workprocid);
        sb.append(", location=").append(location);
        sb.append(", type=").append(type);
        sb.append(", note=").append(note);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", itemname=").append(itemname);
        sb.append(", bcode=").append(bcode);
        sb.append(", seqno=").append(seqno);
        sb.append(", mods=").append(mods);
        sb.append(", state=").append(state);
        sb.append(", workshop=").append(workshop);
        sb.append(", itemid=").append(itemid);
        sb.append(", fourgitem=").append(fourgitem);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}